# Tango Tools

This repository stores some useful tools to manage your Tango installation.


## Command line tools for Astor, Atk and Jive

These are command line tools for Astor, Atk and Jive.

To compile and install a tool, just enter the directory and run

    make
    sudo make install


## Tango Service Scripts

The directory `tango_demons` stores the scripts `tango_databaseds` and `tango-starter`
and the corresponding service files to you may want to use to run Tango at boot.

Enter the `tango_demons` directory, copy the scripts in `/etc/init.d` and chmod them

    cp tango-databaseds /etc/init.d/
    cp tango-starter /etc/init.d/
    chmod 711 /etc/init.d/tango-databaseds
    chmod 711 /etc/init.d/tango-starter
    chkconfig --add tango-databaseds
    chkconfig --add tango-starter

Edit both tango-databaseds and tango-starter setting MYSQL_PASSWORD with the password of controls to access MySQL

    vim /etc/init.d/tango-databaseds
    vim /etc/init.d/tango-starter
    
Copy the service files in the systemd and enable them

    cp tango-databaseds.service /usr/lib/systemd/system/
    cp tango-starter.service /usr/lib/systemd/system/

Edit `mysqld.service` to be run before Tango services

    vim /usr/lib/systemd/system/mysqld.service

adding the following two lines under the `[Unit]` section

    Before=tango-databaseds.service
    Before=tango-starter.service

Enable Tango services

    systemctl enable tango-databaseds
    systemctl enable tango-starter

Reload all units

    systemctl daemon-reload

Start Tango services

    systemctl start tango-databaseds
    systemctl start tango-starter
